Payment Methods
Update a payment method
PUT
/
api
/
v2
/
payment-methods
/
{shopId}
/
methods
/
{methodId}
Update a payment method
curl --request PUT \
--url https://api.itemshop.dev/api/v2/payment-methods/{shopId}/methods/{methodId} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"displayName": "<string>",
"config": {},
"fees": {
"percentage": 1.9,
"fixedAmount": 0.3,
"minimumFee": 0.3
},
"channelFees": [
{
"channel": "blik",
"percentage": 1.5,
"minimumFee": 0.2
}
],
"channels": [
{
"channel": "blik",
"displayName": "BLIK",
"icon": "<string>",
"active": true
}
],
"currencies": [
"<string>"
],
"defaultCurrency": "<string>",
"limits": {
"minAmount": 1,
"maxAmount": 9999
},
"commission": {
"enabled": true,
"percentage": 1.5,
"amount": 0.5
},
"flags": {
"logErrors": true,
"disabled": true,
"allowCurrencyConversion": true,
"blockPromotions": true,
"blockPromoCodes": true
},
"testMode": true,
"isActive": true,
"sortOrder": 1
}
'import requests
url = "https://api.itemshop.dev/api/v2/payment-methods/{shopId}/methods/{methodId}"
payload = {
"displayName": "<string>",
"config": {},
"fees": {
"percentage": 1.9,
"fixedAmount": 0.3,
"minimumFee": 0.3
},
"channelFees": [
{
"channel": "blik",
"percentage": 1.5,
"minimumFee": 0.2
}
],
"channels": [
{
"channel": "blik",
"displayName": "BLIK",
"icon": "<string>",
"active": True
}
],
"currencies": ["<string>"],
"defaultCurrency": "<string>",
"limits": {
"minAmount": 1,
"maxAmount": 9999
},
"commission": {
"enabled": True,
"percentage": 1.5,
"amount": 0.5
},
"flags": {
"logErrors": True,
"disabled": True,
"allowCurrencyConversion": True,
"blockPromotions": True,
"blockPromoCodes": True
},
"testMode": True,
"isActive": True,
"sortOrder": 1
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
displayName: '<string>',
config: {},
fees: {percentage: 1.9, fixedAmount: 0.3, minimumFee: 0.3},
channelFees: [{channel: 'blik', percentage: 1.5, minimumFee: 0.2}],
channels: [{channel: 'blik', displayName: 'BLIK', icon: '<string>', active: true}],
currencies: ['<string>'],
defaultCurrency: '<string>',
limits: {minAmount: 1, maxAmount: 9999},
commission: {enabled: true, percentage: 1.5, amount: 0.5},
flags: {
logErrors: true,
disabled: true,
allowCurrencyConversion: true,
blockPromotions: true,
blockPromoCodes: true
},
testMode: true,
isActive: true,
sortOrder: 1
})
};
fetch('https://api.itemshop.dev/api/v2/payment-methods/{shopId}/methods/{methodId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"_id": "664f1a2b3c4d5e6f7a8b9c0d",
"name": "imojeTransfer",
"displayName": "imoje",
"shopId": "664f1a2b3c4d5e6f7a8b9c0d",
"isActive": true,
"fees": {
"percentage": 1.9,
"minimumFee": 123
}
},
"message": "<string>"
}{
"success": false,
"statusCode": 400,
"error": "Error message",
"timestamp": "2023-11-07T05:31:56Z",
"path": "/api/v2/..."
}{
"success": false,
"statusCode": 400,
"error": "Error message",
"timestamp": "2023-11-07T05:31:56Z",
"path": "/api/v2/..."
}{
"success": false,
"statusCode": 400,
"error": "Error message",
"timestamp": "2023-11-07T05:31:56Z",
"path": "/api/v2/..."
}{
"success": false,
"statusCode": 400,
"error": "Error message",
"timestamp": "2023-11-07T05:31:56Z",
"path": "/api/v2/..."
}{
"success": false,
"statusCode": 400,
"error": "Error message",
"timestamp": "2023-11-07T05:31:56Z",
"path": "/api/v2/..."
}Authorizations
apiKeyAuthbearerAuth
Path Parameters
Shop ID (ObjectId)
Payment method ID (ObjectId)
Body
application/json
Required string length:
1 - 100Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Pattern:
^[A-Za-z]{3}$Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
x >= 0Was this page helpful?
⌘I
Update a payment method
